# PostIntimidateStatChangeAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostIntimidateStatChangeAbAttr

#### Hierarchy (view full)

- AbAttr
  - PostIntimidateStatChangeAbAttr

- Defined in src/data/ability.ts:1488

#####
Index

### Constructors

constructor

### Properties

levels
overwrites
showAbility
stats

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostIntimidateStatChangeAbAttr(stats, levels, overwrites?): PostIntimidateStatChangeAbAttr

- #### Parameters

  - stats: BattleStat []
  - levels: number
  - `Optional` overwrites: boolean

  #### Returns PostIntimidateStatChangeAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:1493

## Properties

### `Private` levels

levels: number

- Defined in src/data/ability.ts:1490

### `Private` overwrites

overwrites: boolean

- Defined in src/data/ability.ts:1491

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stats

stats: BattleStat []

- Defined in src/data/ability.ts:1489

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:1500

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137